// Header + Navbar
header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100px;
  padding: 0 30px;
  position: fixed;
  width: 100%;
  background-color: $base-color;
  z-index: 10;
  transition: all 0.5s;

  &::after {
    pointer-events: none;
    @extend .out_shad;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0%;
    height: 100%;
    z-index: 10;
  }

  & > a {
    display: flex;
    align-items: center;
  }
}

.dev_banner {
  margin-left: $padding_val;
  display: block;
  font-size: $foot_head;
  p {
    margin: 0;
  }
}

.doit_logo {
  height: 5rem;
  background-color: $default-grey;
  border-radius: $borderradius;
}

#hamburger {
  display: none;
}

nav {
  display: flex;
  a {
    position: relative;
    color: $default-grey;
    text-decoration: none;
    font-size: $foot_head;
    font-weight: 700;
    margin-left: 20px;

    &::before {
      content: "";
      position: absolute;
      top: 100%;
      left: 0;
      width: 0%;
      height: 3px;
      background: $default-grey;
      transition: 0.15s;
      border-radius: $borderradius;
    }

    &.active::before {
      width: 100%;
    }

    &:hover::before {
      width: 100%;
    }
  }
}

@media (max-width: 1600px) {
  .dev_banner {
    p {
      font-size: 1em;
      line-height: 1 * $subheading;
    }
  }
}

@media (max-width: 1300px) {
  .dev_banner {
    visibility: hidden;
    width: 0;
  }
}

@media (max-width: 900px) {
  nav {
    position: absolute;
    top: 100px;
    right: 0px;
    width: 100%;
    background-color: $light-color;
    flex-direction: column;
    text-align: center;
    gap: 2em;
    transition: 0.5s;
    overflow: hidden;
    height: 0px;

    a {
      margin-left: 0px;
      &::before {
        left: 50%;
        transform: translateX(-50%);
      }
      &.active::before {
        width: 25%;
      }

      &:hover::before {
        width: 25%;
      }
      &:nth-child(1) {
        margin-top: 1em;
      }
    }
  }
  // stuff for the dynamic x - hamburger menu
  .ham_label {
    width: 45px;
    height: 30px;
    position: relative;
    div {
      width: 100%;
      height: 5px;
      background: $default-grey;
      position: absolute;
      border-radius: 100px;
      transition: 0.3s;
      transform: translateY(-50%);
      transform: scale(1);

      &:nth-child(1) {
        top: 0;
      }
      &:nth-child(2) {
        top: 50%;
      }
      &:nth-child(3) {
        top: 100%;
      }
    }
  }

  input:checked ~ header::after {
    width: 100%;
  }

  input:checked ~ header {
    nav {
      height: 19rem; // drop down menu height
      z-index: 1;
    }
    label {
      div:nth-child(1) {
        // twist top bar into X
        transform: rotate(45deg);
        top: 50%;
      }
      // twist bottom bar into X
      div:nth-child(3) {
        transform: rotate(-45deg);
        top: 50%;
      }
      // remove mid bar
      div:nth-child(2) {
        transform: scale(0);
        opacity: 0;
      }
    }
  }
}

//////////////////////////////////////////////
/* footer stuff */
footer {
  flex-shrink: 0;
  width: 100%;
  background-color: $base-color;
  padding-bottom: $padding_val;
  display: flex;
  justify-content: center;

  .txt {
    font-size: 1rem;
    color: $default-grey;
  }
}

.footer_content {
  width: 80%;
  display: flex;
  flex-direction: row;
  padding-top: $padding_val;

  .l_dist {
    margin-left: 0px;
  }

  .r_dist {
    // better visual distance between columns
    margin-right: 20px;
  }

  .heading {
    font-size: 1.3rem;
    font-weight: 700;
    margin-bottom: 1rem;

    &::after {
      content: "";
      margin-top: 0.2rem;
      display: block;
      width: 50px;
      border-bottom: 3px solid $default-grey;
    }
  }

  .column {
    width: 33%;
    margin: 1rem;
  }

  .row {
    height: 180px;
    margin: 0;
    margin-bottom: $padding_val;
  }

  .sideby {
    display: flex;
    // align-items: center;
    column-gap: $padding_val;
  }

  .under_sep {
    margin-bottom: 1rem;
  }

  ul {
    list-style-type: none;
    display: block;
    padding: 0;
    margin: 0;

    li {
      display: inline-block;
      font-weight: 400;
      margin: 0 1rem 1rem 0px;
      // margin-right: 0.5rem;
      // margin-left: 0px;

      a {
        @extend .txt, .grey-link;
        position: relative;
        text-decoration: none;
      }
    }
  }

  .newslet_cont {
    // max-width: 500px;
    display: flex;
    border-radius: $borderradius;
    border: 2px solid $default-grey;
    padding: 0.5rem;

    input {
      width: 100%;
      border: none;
      background-color: $base-color;
      padding-left: 0.5rem;
      padding-right: 0.5rem;

      &::placeholder {
        opacity: 0.5;
        font-weight: 700; //increase readabilit
        color: $default-grey;
      }

      &::-webkit-input-placeholder {
        opacity: 0.5;
        font-weight: 700; //increase readabilit
        color: $default-grey;
      }

      &:focus {
        outline: none;
      }
    }

    button {
      background-color: $base-color;
      width: 40px;
      padding: 5px;
      border: none;
    }
  }

  .langswit {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    height: 100px; // quick fix to align socials and lang switch visually

    .swit {
      display: flex;
      align-items: center;
      background-color: transparent;
      border: none;
      cursor: pointer;

      .ico {
        @extend .grey-fil;
        height: 2rem;
        margin-right: $padding_val;
      }

      .lang {
        @extend .txt;
        font-weight: 700;
        position: relative;

        opacity: 0.5;

        &.active {
          opacity: 1;
        }

        // &.active::before {
        //   content: "";
        //   position: absolute;
        //   width: 26px;
        //   height: 2px;
        //   bottom: 0px;
        //   left: 2px;
        //   background: $default-grey;
        //   border-radius: $borderradius;
        // }
      }
    }
  }
}

@media screen and (max-width: 1300px) {
  .footer_content {
    flex-direction: column;
    align-items: center;
    .column {
      width: 80%;
      margin: 0;
    }
    .row {
      height: auto;
    }

    .sideby {
      align-items: center;
    }
    .heading {
      margin-top: $padding_val;
    }

    .l_dist {
      margin-left: 20px;
    }

    ul {
      li {
        margin-left: 20px;
      }
    }

    .langswit {
      height: auto;
      margin-top: 2 * $padding_val;
    }
  }
}
